Update an item object
This command changes an existing item. The command is sent to the item object to modify. This does not affect the item data on any billograms or invoices that reference the item, if the information needs to be updated on any existing billograms those must be updated individually afterwards.
Partial item object, containing just the fields to update.
If the bookkeeping or regional_sweden fields are left out or set to null (instead of containing the structures) those sub-objects are left unchanged.
Other fields that have default values will be set to their default value if they are specified as null in the passed structure.
- Type: stringitem
_no requiredItem number identifier
- Type: numberpricerequired
The cost per unit of the item. May be positive, zero or negative.
- Type: stringtitlemax length:100required
The short text given for the item. Should generally be a human-readable description of the product or service sold. Must not be empty.
- Type: stringenumunitrequired
Unit of measure for the item.
values- unit
- hour
- day
- month
- year
- Type: numbervatrequired
VAT rate applied to this item, in percent. No more than two decimals allowed, for example 10.25 is valid, but 10.255 is not. All values between 0 and 100 are valid, but if you wish to use Swedish VAT rates, you should use: 0, 6, 12 or 25
- Type: object ·bookkeeping
- Type: stringdescriptionmax length:200
A longer description for the item. Appears below the main item row on an invoice. Can be used to e.g detail the work performed in the case of services.
- Type: stringitem
_no Identification for the item. Always present on existing items. If no item_no is given when creating an item object, a new number is generated and assigned automatically. The item number is a string and may contain other characters than just numerals. Must be unique. If the item_no is changed on an item object, the new value must be used to refer to it from that point. If you want automatic item-numbering, please do not set this parameter at all, not even to a null value. The max length for item_no is 30 characters IF the value is non-numeric, otherwise (if the value is numeric) the max value is 999999999.
- Type: string · enumzero
_vat _reason The reason for 0% VAT rate on the item. Required only in Italian market if vat is set to 0.
- VAT_EXEMPT: no VAT is charged for this item. Businesses cannot reclaim VAT on their inputs related to these supplies
- ZERO_RATE_VAT: taxable service or good, but VAT rate is 0%. Businesses can reclaim VAT on their inputs related to these supplies
- EXPORT_VAT: goods or services sold to customers outside the country. Businesses can reclaim VAT on their inputs related to these exports
values- V
A T _ E X E M P T - Z
E R O _ R A T E _ V A T - E
X P O R T _ V A T
- Type: stringzero
_vat _reason _reference max length:200Legal reference for 0% VAT reason. Required only in Italian market if vat is set to 0.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://sandbox.billogram.com/api/v2/item/{item_no}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"item_no": "207",
"title": "Apartment cleaning",
"description": "Vacuum cleaning floor, dusting shelves and taking out trash",
"price": 130,
"vat": 25,
"zero_vat_reason": "VAT_EXEMPT",
"zero_vat_reason_reference": "",
"unit": "hour",
"bookkeeping": {
"income_account": "302",
"vat_account": "303"
}
}'
{
"status": "string",
"data": {
"item_no": "207",
"title": "Apartment cleaning",
"description": "Vacuum cleaning floor, dusting shelves and taking out trash",
"price": 130,
"vat": 25,
"zero_vat_reason": "VAT_EXEMPT",
"zero_vat_reason_reference": "string",
"unit": "hour",
"bookkeeping": {
"income_account": "302",
"vat_account": "303"
},
"created_at": "2026-01-26 07:02:23",
"updated_at": "2026-01-30 14:00:10"
}
}